// TestSample.h : Declaration of the CTestSample

#pragma once
#ifdef STANDARDSHELL_UI_MODEL
#include "resource.h"
#endif
#ifdef POCKETPC2003_UI_MODEL
#include "resourceppc.h"
#endif
#ifdef SMARTPHONE2003_UI_MODEL
#include "resourcesp.h"
#endif
#ifdef AYGSHELL_UI_MODEL
#include "resourceayg.h"
#endif

#include "ComNative.h"


#if defined(_WIN32_WCE) && !defined(_CE_DCOM) && !defined(_CE_ALLOW_SINGLE_THREADED_OBJECTS_IN_MTA)
#error "Single-threaded COM objects are not properly supported on Windows CE platform, such as the Windows Mobile platforms that do not include full DCOM support. Define _CE_ALLOW_SINGLE_THREADED_OBJECTS_IN_MTA to force ATL to support creating single-thread COM object's and allow use of it's single-threaded COM object implementations. The threading model in your rgs file was set to 'Free' as that is the only threading model supported in non DCOM Windows CE platforms."
#endif



// CTestSample

class ATL_NO_VTABLE CTestSample :
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CTestSample, &CLSID_TestSample>,
	public IDispatchImpl<ITestSample, &IID_ITestSample, &LIBID_ComNativeLib, /*wMajor =*/ 1, /*wMinor =*/ 0>
{
public:
	CTestSample()
	{
	}

#ifndef _CE_DCOM
DECLARE_REGISTRY_RESOURCEID(IDR_TESTSAMPLE)
#endif


BEGIN_COM_MAP(CTestSample)
	COM_INTERFACE_ENTRY(ITestSample)
END_COM_MAP()

STDMETHOD (TestMethod1)();
STDMETHOD (TestMethod2)(BSTR InputString, BSTR* OutputString);


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}

	void FinalRelease()
	{
	}

public:

};

OBJECT_ENTRY_AUTO(__uuidof(TestSample), CTestSample)
